Skip to main content
`Ctrl`+`K`

# DMCompositeGetEntriesArray

Gets the DM for each entry in a `DMCOMPOSITE`

## Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode DMCompositeGetEntriesArray(DM dm, DM dms[])

Not Collective

## Input Parameter

- dm - the `DMCOMPOSITE` object

## Output Parameter

- dms - array of sufficient length (see `DMCompositeGetNumberDM()`) to hold the individual `DM`

## See Also

`DMCOMPOSITE`, `DM`, `DMDestroy()`, `DMCompositeAddDM()`, `DMCreateGlobalVector()`, `DMCompositeGetEntries()` `DMCompositeGather()`, `DMCompositeCreate()`, `DMCompositeGetISLocalToGlobalMappings()`, `DMCompositeGetAccess()`, `DMCompositeRestoreLocalVectors()`, `DMCompositeGetLocalVectors()`, `DMCompositeScatter()`

## Level

advanced

## Location

src/dm/impls/composite/pack.c

Index of all DMComposite routines
Table of Contents for all manual pages
Index of all manual pages